APIReferenceSchedules
List schedules (calendar view)
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
startDate?string
endDate?string
view?string
Default
"agenda"Value in
- "month"
- "week"
- "agenda"
limit?integer
Range
10 <= value <= 100Default
20cursor?
direction?string
Default
"forward"Value in
- "forward"
- "backward"
platforms?array<>
statuses?array<>
integrationIds?array<string>
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/schedules"{ "schedules": [ { "id": "string", "postId": "string", "organizationId": "string", "integrationId": "string", "status": "DRAFT", "scheduledAt": "2019-08-24T14:15:22Z", "publishedAt": "2019-08-24T14:15:22Z", "originRecycleEventId": "string", "failureReason": "string", "scheduledContent": "string", "retryCount": 0, "lastAttempt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "approvalStatus": "pending_review", "approvalRequestedAt": "2019-08-24T14:15:22Z", "approvalCompletedAt": "2019-08-24T14:15:22Z", "post": { "id": "string", "content": "string", "createdAt": "2019-08-24T14:15:22Z", "thumbnail": { "url": "string", "type": "IMAGE", "width": 0, "height": 0 }, "attachmentCount": 0 }, "integration": { "id": "string", "platform": "BLUESKY", "name": "string", "image": "string" } } ], "nextCursor": { "scheduledAt": "2019-08-24T14:15:22Z", "id": "string" }, "hasMore": true}